
Base Distribution - Task # 48080

Work Package # 47023 (Accepted): Global user interface

Status: Accepted Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-05-08 Assigned To:
Updated: 2013-08-25 Due date:
Subject: Breadcrumb
Description

Implement a select box containing the current selected node as the selected value with the available parent elements as other
options. When selecting a parent element the node focus changes to the selected element and the options are updated for the new
selected element. It's a replacement of the content breadcrumb currently available in the bottom toolbar next to the inspect button.

There will always be a selected option since it follows the node selection where the page is selected if no content element/section is
selected. Added as part of the inspector.

This elements also serves the purpose of providing visual indication of what the inspector fields are for.

Subtasks:
Task # 49932: Add label and icons to content breacrumb Resolved
Task # 49957: Selecting a parent element doesn't change the content breadcrumb New
Related issues:
related to Base Distribution - Task # 48091: Inspector Resolved 2013-06-10

Associated revisions
Revision f0738416 - 2013-05-17 10:59 - Mattias Nilsson

[!!!][TASK] Move the Breadcrumb into Inspector

Moves the Breadcrumb into the Inspector as a select
box instead.

This commit also removes the footer completely together with
javascript, templates and css.

Change-Id: I89e2d4fc0c71b9fc65614481039b1efa942e2c21
Resolves: #48080

History
#1 - 2013-05-10 10:14 - Rasmus Skjoldan
- Status changed from New to Accepted
- Assigned To deleted (Rasmus Skjoldan)

#2 - 2013-05-15 14:59 - Mattias Nilsson
- Assigned To set to Mattias Nilsson

#3 - 2013-05-15 16:43 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20797
#4 - 2013-05-16 02:49 - Aske Ertmann
- Subject changed from Content breadcrumb to Breadcrumb

#5 - 2013-05-16 12:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20797

#6 - 2013-05-16 16:11 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20797

#7 - 2013-05-16 17:00 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20797

#8 - 2013-05-16 18:50 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20797

#9 - 2013-05-16 18:58 - Mattias Nilsson
- Status changed from Accepted to Under Review
- % Done changed from 0 to 60

#10 - 2013-05-16 22:27 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20797

#11 - 2013-05-17 11:00 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20797

#12 - 2013-05-17 11:37 - Mattias Nilsson
- Status changed from Under Review to Resolved
- % Done changed from 60 to 100

Applied in changeset commit:f0738416d1462c209c8aaf2d881319a04c8ec90d.

#13 - 2013-05-17 12:32 - Aske Ertmann
- Status changed from Resolved to Accepted
- Assigned To changed from Mattias Nilsson to Aske Ertmann
- % Done changed from 100 to 50

Still needs styling

#14 - 2013-07-08 22:16 - Aske Ertmann
- % Done changed from 50 to 80

#15 - 2013-07-11 23:46 - Aske Ertmann
- Target version set to 1.0 beta 1
- Estimated time set to 0.00

#16 - 2013-08-25 16:53 - Aske Ertmann
- Assigned To deleted (Aske Ertmann)
- Estimated time set to 0.00
